Home / Lua API Manual / types / dt_imageio_module_storage_t
< dt_pdf_stream_encoder_t
dt_imageio_module_storage_data_email >

# dt_imageio_module_storage_t

`dt_type`

A virtual type representing all storage types.

# 🔗dt_imageio_module_storage_t.plugin_name

`string`

A unique name for the plugin.

Attributes:

- write

# 🔗dt_imageio_module_storage_t.name

`string`

A human readable name for the plugin.

Attributes:

- write

# 🔗dt_imageio_module_storage_t.width

`number`

The currently selected width for the plugin.

Attributes:

- write

# 🔗dt_imageio_module_storage_t.height

`number`

The currently selected height for the plugin.

Attributes:

- write

# 🔗dt_imageio_module_storage_t.recommended_width

`number` The recommended width for the plugin.

Attributes:

- write

# 🔗dt_imageio_module_storage_t.recommended_height

`number`

The recommended height for the plugin.

Attributes:

- write

# 🔗dt_imageio_module_storage_t.supports_format

    format : types.dt_imageio_module_format_t
    ) : boolean

Checks if a format is supported by this storage.

- self - types.dt_imageio_module_storage_t - The storage type to check against.
- format - types.dt_imageio_module_format_t - The format type to check.
- return - boolean - True if the format is supported by the storage.

< dt_pdf_stream_encoder_t
dt_imageio_module_storage_data_email >